summaryrefslogtreecommitdiffstats
path: root/.github/scripts/check-updater.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2022-08-12 07:26:11 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2022-08-12 07:26:11 +0000
commit3c315f0fff93aa072472abc10815963ac0035268 (patch)
treea95f6a96e0e7bd139c010f8dc60b40e5b3062a99 /.github/scripts/check-updater.sh
parentAdding upstream version 1.35.1. (diff)
downloadnetdata-upstream/1.36.0.tar.xz
netdata-upstream/1.36.0.zip
Adding upstream version 1.36.0.upstream/1.36.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '.github/scripts/check-updater.sh')
-rwxr-xr-x.github/scripts/check-updater.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/.github/scripts/check-updater.sh b/.github/scripts/check-updater.sh
index 1051f1eee..3df0c9de4 100755
--- a/.github/scripts/check-updater.sh
+++ b/.github/scripts/check-updater.sh
@@ -17,7 +17,18 @@ check_successful_update() {
) >&2
}
-steps="check_successful_update"
+check_autoupdate_enabled() {
+ progress "Check autoupdate still enabled after update"
+ (
+ if [ -f /etc/periodic/daily/netdata-updater ] || [ -f /etc/cron.daily/netdata-updater ]; then
+ echo "Update successful!"
+ else
+ exit 1
+ fi
+ ) >&2
+}
+
+steps="check_successful_update check_autoupdate_enabled"
_main() {
for step in $steps; do